VTK: vtkImageReader2Collection Class Reference

| VTK 9.0.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkImageReader2Collection Class Reference

maintain a list of image readers More...

`#include <vtkImageReader2Collection.h>`

Inheritance diagram for vtkImageReader2Collection:
[legend]
Collaboration diagram for vtkImageReader2Collection:
[legend]

## Public Types
typedef vtkCollection | Superclass
Public Types inherited from vtkCollection
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkImageReader2Collection * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | AddItem (vtkImageReader2 *)
| Add an image reader to the list. More...
vtkImageReader2 * | GetNextItem ()
| Get the next image reader in the list. More...
vtkImageReader2 * | GetNextImageReader2 (vtkCollectionSimpleIterator &cookie)
| Reentrant safe way to get an object in a collection. More...
Public Member Functions inherited from vtkCollection
vtkCollection * | NewInstance () const
void | AddItem (vtkObject *)
| Add an object to the bottom of the list. More...
void | InsertItem (int i, vtkObject *)
| Insert item into the list after the i'th item. More...
void | ReplaceItem (int i, vtkObject *)
| Replace the i'th item in the collection with another item. More...
void | RemoveItem (int i)
| Remove the i'th item in the list. More...
void | RemoveItem (vtkObject *)
| Remove an object from the list. More...
void | RemoveAllItems ()
| Remove all objects from the list. More...
int | IsItemPresent (vtkObject *a)
| Search for an object and return location in list. More...
int | GetNumberOfItems ()
| Return the number of objects in the list. More...
void | InitTraversal ()
| Initialize the traversal of the collection. More...
void | InitTraversal (vtkCollectionSimpleIterator &cookie)
| A reentrant safe way to iterate through a collection. More...
vtkObject * | GetNextItemAsObject ()
| Get the next item in the collection. More...
vtkObject * | GetItemAsObject (int i)
| Get the i'th item in the collection. More...
vtkObject * | GetNextItemAsObject (vtkCollectionSimpleIterator &cookie)
| A reentrant safe way to get the next object as a collection. More...
vtkCollectionIterator * | NewIterator ()
| Get an iterator to traverse the objects in this collection. More...
void | Register (vtkObjectBase *o) override
| Participate in garbage collection. More...
void | UnRegister (vtkObjectBase *o) override
| Decrease the reference count (release by another object). More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
vtkCommand * | GetCommand (unsigned long tag)
void | RemoveObserver (vtkCommand *)
void | RemoveObservers (unsigned long event, vtkCommand *)
void | RemoveObservers (const char *event, vtkCommand *)
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
int | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
int | InvokeEvent (const char *event, void *callData)
int | InvokeEvent (unsigned long event)
int | InvokeEvent (const char *event)
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
void | PrintRevisions (ostream &)
| Legacy. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkImageReader2Collection * | SafeDownCast (vtkObjectBase *o)
static vtkImageReader2Collection * | New ()
Static Public Member Functions inherited from vtkCollection
static vtkTypeBool | IsTypeOf (const char *type)
static vtkCollection * | SafeDownCast (vtkObjectBase *o)
static vtkCollection * | New ()
| Construct with empty list. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (int val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
static void | GlobalWarningDisplayOff ()
static int | GetGlobalWarningDisplay ()
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkImageReader2Collection ()
| ~vtkImageReader2Collection () override
Protected Member Functions inherited from vtkCollection
| vtkCollection ()
| ~vtkCollection () override
virtual void | RemoveElement (vtkCollectionElement *element, vtkCollectionElement *previous)
virtual void | DeleteElement (vtkCollectionElement *)
void | ReportReferences (vtkGarbageCollector *collector) override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | CollectRevisions (ostream &)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Protected Attributes inherited from vtkCollection
int | NumberOfItems
vtkCollectionElement * | Top
vtkCollectionElement * | Bottom
vtkCollectionElement * | Current
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

maintain a list of image readers

vtkImageReader2Collection is an object that creates and manipulates lists of objects of type vtkImageReader2 and its subclasses.

See also
  vtkCollection vtkPlaneCollection

Definition at line 33 of file vtkImageReader2Collection.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkCollection vtkImageReader2Collection::Superclass

Definition at line 36 of file vtkImageReader2Collection.h.

## Constructor & Destructor Documentation

## ◆ vtkImageReader2Collection()

vtkImageReader2Collection::vtkImageReader2Collection | ( |  | ) |
| inlineprotected

Definition at line 57 of file vtkImageReader2Collection.h.

## ◆ ~vtkImageReader2Collection()

vtkImageReader2Collection::~vtkImageReader2Collection | ( |  | ) |
| inlineoverrideprotected

Definition at line 58 of file vtkImageReader2Collection.h.

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkImageReader2Collection::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkImageReader2Collection::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkCollection.

## ◆ SafeDownCast()

static vtkImageReader2Collection* vtkImageReader2Collection::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkImageReader2Collection::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkCollection.

## ◆ NewInstance()

vtkImageReader2Collection* vtkImageReader2Collection::NewInstance | ( |  | ) | const

## ◆ New()

static vtkImageReader2Collection* vtkImageReader2Collection::New | ( |  | ) |
| static

## ◆ PrintSelf()

void vtkImageReader2Collection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkCollection.

## ◆ AddItem()

void vtkImageReader2Collection::AddItem | ( | vtkImageReader2 * |  | ) |

Add an image reader to the list.

## ◆ GetNextItem()

vtkImageReader2* vtkImageReader2Collection::GetNextItem | ( |  | ) |

Get the next image reader in the list.

## ◆ GetNextImageReader2()

vtkImageReader2* vtkImageReader2Collection::GetNextImageReader2 | ( | vtkCollectionSimpleIterator & | cookie | ) |

Reentrant safe way to get an object in a collection.

Just pass the same cookie back and forth.

The documentation for this class was generated from the following file:

- IO/Image/vtkImageReader2Collection.h